Data Structures | Enumerations

# signal_type.h File Reference

Types and classes related to signals. More...

`#include "core/enum_type.hpp"`

Go to the source code of this file.

## Data Structures
struct | EnumPropsT< SignalType >
| Helper information for extract tool. More...
## Enumerations
enum | SignalVariant { SIG_ELECTRIC = 0, SIG_SEMAPHORE = 1 }
| Variant of the signal, i.e. More...
enum | SignalType { SIGTYPE_NORMAL = 0, SIGTYPE_ENTRY = 1, SIGTYPE_EXIT = 2, SIGTYPE_COMBO = 3, SIGTYPE_PBS = 4, SIGTYPE_PBS_ONEWAY = 5, SIGTYPE_END, SIGTYPE_LAST = SIGTYPE_PBS_ONEWAY, SIGTYPE_LAST_NOPBS = SIGTYPE_COMBO }
| Type of signal, i.e. More...
enum | SignalState { SIGNAL_STATE_RED = 0, SIGNAL_STATE_GREEN = 1 }
| These are states in which a signal can be. More...

## Detailed Description

Types and classes related to signals.

Definition in file signal_type.h.

## Enumeration Type Documentation

enum SignalState

These are states in which a signal can be.

Currently these are only two, so simple boolean logic will do. But do try to compare to this enum instead of normal boolean evaluation, since that will make future additions easier.

Enumerator:

  SIGNAL_STATE_RED | The signal is red.
  SIGNAL_STATE_GREEN | The signal is green.

Definition at line 46 of file signal_type.h.

enum SignalType

Type of signal, i.e.

how does the signal behave?

Enumerator:

  SIGTYPE_NORMAL | normal signal
  SIGTYPE_ENTRY | presignal block entry
  SIGTYPE_EXIT | presignal block exit
  SIGTYPE_COMBO | presignal inter-block
  SIGTYPE_PBS | normal pbs signal
  SIGTYPE_PBS_ONEWAY | no-entry signal

Definition at line 25 of file signal_type.h.

enum SignalVariant

Variant of the signal, i.e.

how does the signal look?

Enumerator:

  SIG_ELECTRIC | Light signal.
  SIG_SEMAPHORE | Old-fashioned semaphore signal.

Definition at line 18 of file signal_type.h.